#
# spec file for package siga (Version 10.101)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           siga
URL:            http://www.hennevogel.de/scripts/siga/
License:        GPL
Group:          Documentation/SuSE
Requires:       w3m
Autoreqprov:    on
Version:        10.101
Release:        12.2
Source:         siga
Source1:        siga.1.gz
Summary:        System Information GAthering
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:    noarch

%description
SIGA stands for System Information GAthering. It collects various
system information and outputs it in HTML or ASCII format. Since it
needs root permissions, you will be asked for the root password. It is
very handy as an information source during installation support phone
calls.



Authors:
--------
    Martin Lasarsch <mlasars@suse.de>
    Stefan Schmidt <jsj@suse.de>

%debug_package
%prep
cp %{SOURCE0} .
cp %{SOURCE1} .

%install
pwd;ls -la
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/share/man/man1
install -m755 siga $RPM_BUILD_ROOT/usr/bin
install -m 644 siga.1.gz $RPM_BUILD_ROOT/usr/share/man/man1/siga.1.gz

%files
%defattr(-,root,root)
/usr/bin/siga
/usr/share/man/man1/siga.1.gz

%changelog -n siga
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 07 2005 - mlasars@suse.de
- added -info option, siga can collect with this option some
  data as user
- kicked all edit and remote stuff
- fixed bug #136928 (PRINT_SYS, missing qoutes)
* Fri Aug 26 2005 - mlasars@suse.de
- fixed security bug #106585
* Thu Aug 04 2005 - mlasars@suse.de
- updated for 10.0
* Mon Mar 07 2005 - mlasars@suse.de
- included /dev in all, modem, hw, net, cdr, dsl, isdn, usb(#67064)
* Fri Sep 17 2004 - mlasars@suse.de
- for write_external
* Mon Sep 06 2004 - mlasars@suse.de
- UTF-8 changes
- added debug to isdn-test
- added lspci without -vvv to lspci output
- using /proc/mounts instead of mount for mountpoints
- writing on external media or windows partition with siga write
- grepping firewall out of messages except for -net
* Mon Mar 08 2004 - mlasars@suse.de
- cleaned up dsl & modem
- added modprobe.conf & local
* Mon Mar 01 2004 - hmacht@suse.de
- building as nonroot-user
- fixing install permissions
* Mon Sep 15 2003 - mlasars@suse.de
- fixed cups permissions (bug #30326)
* Mon Sep 08 2003 - mlasars@suse.de
- fixed --help dsl text
- added providers to DSL
- added dhcp to NET
- added modules to X11
* Mon Feb 24 2003 - mlasars@suse.de
- fixed and added mail stuff
- added option isdn-test
* Fri Feb 21 2003 - mlasars@suse.de
- added cmdline in all, /proc/bus/usb/devices in -usb
- /etc/sysconfig/personal-firewall &
- /proc/sys/net/ipv4/ip_forward in -net -isdn & -dsl
- /etc/sysconfig/kernel in -cdr
- typo fix "choose" instead of chose
- new mail section
- new print-detect-only section
* Wed Jan 15 2003 - mlasars@suse.de
- fixed wrong permissions in /etc/cups/cupsd.conf
- fixed wrong permissions in /usr/lib/cups/filter/cupsomatic
- fixed output for smpppd, filename was smppd instead of smpppd,
- changes in root restart, now su -c instead of su - -c
* Fri Jan 10 2003 - draht@suse.de
- siga should not write to files in /tmp without precaution.
- minor cosmetic changes
- choice of files in summary adopted
  (siga-security.diff)
- specfile changes
* Thu Sep 12 2002 - mlasars@suse.de
- fixed y2log location to /var/log/YaST2/, set version to 8.1
* Sat Sep 07 2002 - mlasars@suse.de
- added needed grub files
- rccups restart only with -print option
* Mon Sep 02 2002 - mlasars@suse.de
- test for lilo or grub as bootloader
- fix iptables, fix SuSEfirewall2
* Mon Aug 26 2002 - mlasars@suse.de
-  added hwinfo --cdrom for -cdr, fixed cups stuff
* Mon Aug 19 2002 - mlasars@suse.de
-  added -usb, dmesg output, main function
* Fri Mar 15 2002 - mlasars@suse.de
- added output of /var/log/messages to -net & -isdn (bug #15018)
* Mon Mar 11 2002 - mlasars@suse.de
- fixed kernel link, ifconfig instead of ifstatus (bug #14783)
* Mon Mar 04 2002 - mlasars@suse.de
- fixed cups
- disabled sysp -c server (waits for input if 3D)
- fixed floppy copy
* Mon Feb 25 2002 - mlasars@suse.de
- fixed printer stuff, added basic cups configs
- added cups files, fixed asciii convert - now uses w3m
- ascii convert now with lynx or w3m, added isdn files
- added manpage, fixed isdn & dsl files
* Mon Feb 18 2002 - mlasars@suse.de
- added xdpyinfo, fixed pnpdump error
- added xf_links, hw_links
- fixed network stuff
* Wed Feb 13 2002 - kukuk@suse.de
- Requires w3m, not lynx
* Mon Feb 11 2002 - mlasars@suse.de
- added options
- new modem stuff, new head (now right numeric order)
- added save mode
* Mon Feb 04 2002 - jsj@suse.de
- new version, all new for 8.0
- added support options (-modem, -hw ...)
- added sysconfig stuff
- changed version number, should now similar to suse release.
* Mon Feb 04 2002 - jsj@suse.de
- changed version number and copyright notice in spec file
* Fri Sep 14 2001 - mlasars@suse.de
- default Browser now w3m
* Mon Sep 10 2001 - ro@suse.de
- fixed sort order in changes file
- 1.004 fixes some /tmp/siga.html to $SIGA_OUT
- 1.005 clean up, add USERHOMEDIR
* Mon Aug 27 2001 - jsj@suse.de
- uses sux - -c instead of sux -c
- fix sux - su
- added floppy option
- change userlang, read now from rc.config
* Fri Aug 10 2001 - jsj@suse.de
- update to suit 7.3 needs (new version)
- fixed security information disclosure
- fixed problems on starting browser
* Wed May 09 2001 - jsj@suse.de
- deleted unimportant entry apsfilterrc
- 2log file now external
- LANG fix
- all resp. Bugzilla #7928
* Mon Apr 30 2001 - jsj@suse.de
- fixed bug in file accessing
- made selection of files a little more robust
- added checks to ensure files are really there
  (~/.xession-errors, /etc/apsfilterrc.*)
* Tue Apr 24 2001 - jsj@suse.de
- cleaned up the code
- added some log files in display of files
* Thu Apr 12 2001 - jsj@suse.de
- changed location of file
* Thu Apr 12 2001 - jsj@suse.de
- created package
